# Class BundleOfEnvelopes

#### Hierarchy

- unknown
  - BundleOfEnvelopes

- Defined in src/protobuf/pb_pb.d.ts:295
- Defined in src/protobuf/pb_pb.d.ts:309

#####
Index

### Constructors

constructor

### Methods

addEnvelopes
clearEnvelopesList
getEnvelopesList
serializeBinary
setEnvelopesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BundleOfEnvelopes(): BundleOfEnvelopes

- #### Returns BundleOfEnvelopes

  Inherited from jspb.Message.constructor

## Methods

### addEnvelopes

- addEnvelopes(value?: NetworkEnvelope, index?: number): NetworkEnvelope

- #### Parameters

  - ##### `Optional` value: NetworkEnvelope

  - ##### `Optional` index: number

  #### Returns NetworkEnvelope

  - Defined in src/protobuf/pb_pb.d.ts:299

### clearEnvelopesList

- clearEnvelopesList(): BundleOfEnvelopes

- #### Returns BundleOfEnvelopes

  - Defined in src/protobuf/pb_pb.d.ts:298

### getEnvelopesList

- getEnvelopesList(): NetworkEnvelope[]

- #### Returns NetworkEnvelope[]

  - Defined in src/protobuf/pb_pb.d.ts:296

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:301

### setEnvelopesList

- setEnvelopesList(value: NetworkEnvelope[]): BundleOfEnvelopes

- #### Parameters

  - ##### value: NetworkEnvelope[]

  #### Returns BundleOfEnvelopes

  - Defined in src/protobuf/pb_pb.d.ts:297

### toObject

- toObject(includeInstance?: boolean): BundleOfEnvelopes.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BundleOfEnvelopes.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:302

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BundleOfEnvelopes

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BundleOfEnvelopes

  - Defined in src/protobuf/pb_pb.d.ts:305

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BundleOfEnvelopes, reader: BinaryReader): BundleOfEnvelopes

- #### Parameters

  - ##### message: BundleOfEnvelopes

  - ##### reader: BinaryReader

  #### Returns BundleOfEnvelopes

  - Defined in src/protobuf/pb_pb.d.ts:306

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BundleOfEnvelopes, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BundleOfEnvelopes

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:304

### `Static` toObject

- toObject(includeInstance: boolean, msg: BundleOfEnvelopes): BundleOfEnvelopes.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BundleOfEnvelopes

  #### Returns BundleOfEnvelopes.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:303

Generated using TypeDoc